Page MenuHomePhabricator

Fix llvm-shlib cmake build
ClosedPublic

Authored by vchuravy on Oct 21 2016, 1:32 AM.

Details

Summary

This fixes a few things that used to work with a Makefile build, but were broken in cmake.

  1. Treat MINGW like a Linux system.
  2. The shlib should never contain other shared libraries.

Diff Detail

Repository
rL LLVM

Event Timeline

vchuravy updated this revision to Diff 75398.Oct 21 2016, 1:32 AM
vchuravy retitled this revision from to Fix llvm-shlib cmake build.
vchuravy updated this object.
axw edited edge metadata.Oct 23 2016, 6:37 PM

Couple of little things, LGTM otherwise.

tools/llvm-shlib/CMakeLists.txt
11 ↗(On Diff #75398)

if(LLVM_LINK_LLVM_DYLIB AND LLVM_DYLIB_EXPORTED_SYMBOL_FILE)
?

17 ↗(On Diff #75398)

LLVM_BUILD_LLVM_DYLIB is implied by this file being processed, so just make this unconditional?

vchuravy updated this revision to Diff 75556.Oct 23 2016, 9:08 PM
vchuravy edited edge metadata.

Address review comments

vchuravy marked 2 inline comments as done.Oct 23 2016, 9:09 PM
axw accepted this revision.Oct 23 2016, 10:26 PM
axw edited edge metadata.
This revision is now accepted and ready to land.Oct 23 2016, 10:26 PM
beanz accepted this revision.Oct 26 2016, 12:39 PM
beanz edited edge metadata.

LGTM!

Since I am new to LLVM I was wondering what the process of landing this is?

Closed by commit rL285737: Fix llvm-shlib cmake build (authored by cbieneman). · Explain WhyNov 1 2016, 1:29 PM
This revision was automatically updated to reflect the committed changes.
beanz added a comment.Nov 1 2016, 1:29 PM

I have landed your patch in rL285737.

Thank you for your contribution!

-Chris